Package com.mouseviator.fsuipc.helpers.aircraft

# Enum AircraftHelper.EngineType

java.lang.Object
java.lang.Enum<AircraftHelper.EngineType>
com.mouseviator.fsuipc.helpers.aircraft.AircraftHelper.EngineType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<AircraftHelper.EngineType>`, `java.lang.constant.Constable`

Enclosing class:
  AircraftHelper

    public static enum AircraftHelper.EngineType
    extends java.lang.Enum<AircraftHelper.EngineType>

This enumeration defines engine types supported by FSUIPC, which can be returned by `AircraftHelper.getEngineType()` function.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `HELO` | Helicopter engine type
  `JET` | Jet engine type
  `PISTON` | Piston engine type
  `ROCKET` | Rocket engine type (NOT supported actually)
  `SAILPLANE` | Sailplane or anything with no engines engine type
  `TURBOPROP` | Turboprop engine type

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static AircraftHelper.EngineType` | `get​(byte value)` | Returns `AircraftHelper.EngineType` by corresponding int value.
  `byte` | `getValue()` |
  `static AircraftHelper.EngineType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static AircraftHelper.EngineType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PISTON

    public static final AircraftHelper.EngineType PISTON
    Piston engine type

  - ### JET

    public static final AircraftHelper.EngineType JET
    Jet engine type

  - ### SAILPLANE

    public static final AircraftHelper.EngineType SAILPLANE
    Sailplane or anything with no engines engine type

  - ### HELO

    public static final AircraftHelper.EngineType HELO
    Helicopter engine type

  - ### ROCKET

    public static final AircraftHelper.EngineType ROCKET
    Rocket engine type (NOT supported actually)

  - ### TURBOPROP

    public static final AircraftHelper.EngineType TURBOPROP
    Turboprop engine type

- ## Method Details

  - ### values

    public static AircraftHelper.EngineType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AircraftHelper.EngineType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getValue

    public byte getValue()
    Returns:
      Byte value of this type.

  - ### get

    public static AircraftHelper.EngineType get​(byte value) throws java.security.InvalidParameterException
    Returns `AircraftHelper.EngineType` by corresponding int value.
    Parameters:
      `value` - String value corresponding to one of enumeration constants.
    Returns:
      `AircraftHelper.EngineType` by corresponding int value.
    Throws:
      `java.security.InvalidParameterException` - if value not corresponding to any enumeration value is passed.